diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/test_domain_add.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/test_domain_add.py
index 2208181b3..979500cfb 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/test_domain_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/test_domain_add.py
@@ -17,61 +17,74 @@ from pgadmin.browser.server_groups.servers.databases.tests import utils as \
 from pgadmin.utils.route import BaseTestGenerator
 from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
+from . import utils as domain_utils
+from unittest.mock import patch
 
 
 class DomainAddTestCase(BaseTestGenerator):
     """ This class will add new domain under schema node. """
 
-    scenarios = [
-        # Fetching default URL for domain node.
-        ('Fetch domain Node URL', dict(url='/browser/domain/obj/'))
-    ]
+    scenarios = utils.generate_scenarios('domain_create',
+                                         domain_utils.test_cases)
 
     def setUp(self):
-        pass
-
-    def runTest(self):
-        """ This function will add domain under schema node. """
-        db_name = parent_node_dict["database"][-1]["db_name"]
+        self.db_name = parent_node_dict["database"][-1]["db_name"]
         schema_info = parent_node_dict["schema"][-1]
+        self.schema_id = schema_info["schema_id"]
+        self.schema_name = schema_info["schema_name"]
         self.server_id = schema_info["server_id"]
         self.db_id = schema_info["db_id"]
+
+    def create_domain(self):
+        """
+        This function create a domain and returns the created domain
+        response
+        :return: created domain response
+        """
+        return self.tester.post(self.url + str(utils.SERVER_GROUP) + '/' +
+                                str(self.server_id) + '/' +
+                                str(self.db_id) +
+                                '/' + str(self.schema_id) + '/',
+                                data=json.dumps(self.test_data),
+                                content_type='html/json')
+
+    def runTest(self):
+        """ This function will add domain under schema node. """
         db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
                                                  self.server_id, self.db_id)
         if not db_con['data']["connected"]:
             raise Exception("Could not connect to database to add collation.")
-        schema_id = schema_info["schema_id"]
-        schema_name = schema_info["schema_name"]
         schema_response = schema_utils.verify_schemas(self.server,
-                                                      db_name,
-                                                      schema_name)
+                                                      self.db_name,
+                                                      self.schema_name)
         if not schema_response:
             raise Exception("Could not find the schema to add the collation.")
 
-        data = {
-            "basensp": schema_name,
-            "basetype": "character",
-            "constraints": [{
-                "conname": "num",
-                "convalidated": True
-            }],
-            "is_tlength": True,
-            "max_val": 2147483647,
-            "min_val": 1,
-            "name": "domain_add_%s" % (str(uuid.uuid4())[1:8]),
-            "owner": self.server["username"],
-            "seclabels": [],
-            "typdefault": "1",
-            "typlen": "10"
-        }
+        self.test_data['basensp'] = self.schema_name
+        self.test_data['owner'] = self.server["username"]
         # Call POST API to add domain
-        response = self.tester.post(self.url + str(utils.SERVER_GROUP) + '/' +
-                                    str(self.server_id) + '/' +
-                                    str(self.db_id) +
-                                    '/' + str(schema_id) + '/',
-                                    data=json.dumps(data),
-                                    content_type='html/json')
-        self.assertEquals(response.status_code, 200)
+        if self.is_positive_test:
+            response = self.create_domain()
+        else:
+            if hasattr(self, "internal_server_error"):
+                return_value_object = eval(self.mock_data["return_value"])
+                with patch(self.mock_data["function_name"],
+                           side_effect=[return_value_object]):
+                    response = self.create_domain()
+
+            if hasattr(self, "error_getting_doid"):
+                with patch(self.mock_data["function_name"],
+                           side_effect=eval(self.mock_data["return_value"])):
+                    response = self.create_domain()
+
+            if hasattr(self, "error_getting_scid"):
+                with patch(self.mock_data["function_name"],
+                           side_effect=eval(self.mock_data["return_value"])):
+                    response = self.create_domain()
+
+        expected_response_code = self.expected_data['status_code']
+
+        self.assertEquals(response.status_code, expected_response_code)
 
     def tearDown(self):
         # Disconnect the database
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/test_domain_delete.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/test_domain_delete.py
index ec2ce6690..eed0c6eef 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/test_domain_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/test_domain_delete.py
@@ -17,18 +17,19 @@ from pgadmin.utils.route import BaseTestGenerator
 from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 from . import utils as domain_utils
+from unittest.mock import patch
 
 
 class DomainDeleteTestCase(BaseTestGenerator):
     """ This class will delete new domain under schema node. """
-    scenarios = [
-        # Fetching default URL for domain node.
-        ('Fetch domain Node URL', dict(url='/browser/domain/obj/'))
-    ]
+    scenarios = utils.generate_scenarios('domain_delete',
+                                         domain_utils.test_cases)
 
     def setUp(self):
         self.database_info = parent_node_dict["database"][-1]
         self.db_name = self.database_info["db_name"]
+        self.db_id = self.database_info["db_id"]
+        self.server_id = self.database_info["server_id"]
         self.schema_info = parent_node_dict["schema"][-1]
         self.schema_name = self.schema_info["schema_name"]
         self.schema_id = self.schema_info["schema_id"]
@@ -39,36 +40,51 @@ class DomainDeleteTestCase(BaseTestGenerator):
                                                       self.schema_id,
                                                       self.domain_name)
 
+    def delete_domain(self):
+        """
+        This function returns the domain delete response
+        :return: domain delete response
+        """
+        return self.tester.delete(
+            self.url + str(utils.SERVER_GROUP) + '/' +
+            str(self.server_id) + '/' +
+            str(self.db_id) + '/' +
+            str(self.schema_id) + '/' +
+            str(self.domain_id),
+            content_type='html/json',
+            follow_redirects=True
+        )
+
     def runTest(self):
-        """ This function will add domain under schema node. """
-        db_id = self.database_info["db_id"]
-        server_id = self.database_info["server_id"]
+        """ This function will delete domain under schema node. """
+
         db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
-                                                 server_id, db_id)
+                                                 self.server_id, self.db_id)
         if not db_con['data']["connected"]:
             raise Exception("Could not connect to database to get the domain.")
-        db_name = self.database_info["db_name"]
         schema_response = schema_utils.verify_schemas(self.server,
-                                                      db_name,
+                                                      self.db_name,
                                                       self.schema_name)
         if not schema_response:
             raise Exception("Could not find the schema to get the domain.")
-        domain_id = self.domain_info[0]
+        self.domain_id = self.domain_info[0]
         # Call GET API to verify the domain
-        get_response = self.tester.delete(
-            self.url + str(utils.SERVER_GROUP) + '/' +
-            str(server_id) + '/' +
-            str(db_id) + '/' +
-            str(self.schema_id) + '/' +
-            str(domain_id),
-            content_type='html/json',
-            follow_redirects=True
-        )
+        if self.is_positive_test:
+            response = self.delete_domain()
+        else:
+            if hasattr(self, "error_deleting_domain"):
+                with patch(self.mock_data["function_name"],
+                           return_value=eval(self.mock_data["return_value"])):
+                    response = self.delete_domain()
 
-        self.assertEquals(get_response.status_code, 200)
+            if hasattr(self, "wrong_domain_id"):
+                self.domain_id = 99999
+                response = self.delete_domain()
 
-        # Disconnect the database
-        database_utils.disconnect_database(self, server_id, db_id)
+        actual_response_code = response.status_code
+        expected_response_code = self.expected_data['status_code']
+        self.assertEquals(actual_response_code, expected_response_code)
 
     def tearDown(self):
-        pass
+        # Disconnect the database
+        database_utils.disconnect_database(self, self.server_id, self.db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/test_domain_delete_multiple.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/test_domain_delete_multiple.py
index fef60ddab..6ff6ec18f 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/test_domain_delete_multiple.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/test_domain_delete_multiple.py
@@ -22,14 +22,14 @@ from . import utils as domain_utils
 
 class DomainDeleteMultipleTestCase(BaseTestGenerator):
     """ This class will delete new domains under schema node. """
-    scenarios = [
-        # Fetching default URL for domain node.
-        ('Fetch domain Node URL', dict(url='/browser/domain/obj/'))
-    ]
+    scenarios = utils.generate_scenarios('domain_multiple_delete',
+                                         domain_utils.test_cases)
 
     def setUp(self):
         super(DomainDeleteMultipleTestCase, self).setUp()
         self.database_info = parent_node_dict["database"][-1]
+        self.db_id = self.database_info["db_id"]
+        self.server_id = self.database_info["server_id"]
         self.db_name = self.database_info["db_name"]
         self.schema_info = parent_node_dict["schema"][-1]
         self.schema_name = self.schema_info["schema_name"]
@@ -47,12 +47,22 @@ class DomainDeleteMultipleTestCase(BaseTestGenerator):
                                                         self.schema_id,
                                                         self.domain_names[1])]
 
+    def delete_multiple(self, data):
+        """
+        This function returns multiple domain delete response
+        :param data: domain ids to delete
+        :return: domain delete response
+        """
+        return self.tester.delete(
+            self.url,
+            content_type='html/json',
+            follow_redirects=True,
+            data=json.dumps(data))
+
     def runTest(self):
         """ This function will add domain under schema node. """
-        db_id = self.database_info["db_id"]
-        server_id = self.database_info["server_id"]
         db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
-                                                 server_id, db_id)
+                                                 self.server_id, self.db_id)
         if not db_con['data']["connected"]:
             raise Exception("Could not connect to database to get the domain.")
         db_name = self.database_info["db_name"]
@@ -62,18 +72,16 @@ class DomainDeleteMultipleTestCase(BaseTestGenerator):
         if not schema_response:
             raise Exception("Could not find the schema to get the domain.")
         data = {'ids': [self.domain_infos[0][0], self.domain_infos[1][0]]}
-        url = self.url + str(utils.SERVER_GROUP) + '/' + str(
-            server_id) + '/' + str(db_id) + '/' + str(self.schema_id) + "/"
+        self.url = self.url + str(utils.SERVER_GROUP) + '/' + str(
+            self.server_id) + '/' + str(self.db_id) + '/' +\
+            str(self.schema_id) + "/"
         # Call GET API to verify the domain
-        get_response = self.tester.delete(
-            url,
-            content_type='html/json',
-            follow_redirects=True,
-            data=json.dumps(data))
+        get_response = self.delete_multiple(data)
 
-        self.assertEquals(get_response.status_code, 200)
-        # Disconnect the database
-        database_utils.disconnect_database(self, server_id, db_id)
+        actual_response_code = get_response.status_code
+        expected_response_code = self.expected_data['status_code']
+        self.assertEquals(actual_response_code, expected_response_code)
 
     def tearDown(self):
-        pass
+        # Disconnect the database
+        database_utils.disconnect_database(self, self.server_id, self.db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/test_domain_dependent_dependency.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/test_domain_dependent_dependency.py
new file mode 100644
index 000000000..c15386d54
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/test_domain_dependent_dependency.py
@@ -0,0 +1,77 @@
+##########################################################################
+#
+# pgAdmin 4 - PostgreSQL Tools
+#
+# Copyright (C) 2013 - 2020, The pgAdmin Development Team
+# This software is released under the PostgreSQL Licence
+#
+##########################################################################
+
+import uuid
+
+from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
+    utils as schema_utils
+from pgadmin.browser.server_groups.servers.databases.tests import utils as \
+    database_utils
+from pgadmin.utils.route import BaseTestGenerator
+from regression import parent_node_dict
+from regression.python_test_utils import test_utils as utils
+from . import utils as domain_utils
+
+
+class DomainGetDependentsAndDependencyTestCase(BaseTestGenerator):
+    """ This class will add new domain under schema node. """
+    skip_on_database = ['gpdb']
+    scenarios = utils.generate_scenarios('domain_get_dependencies_dependants',
+                                         domain_utils.test_cases)
+
+    def setUp(self):
+        super(DomainGetDependentsAndDependencyTestCase, self).setUp()
+        self.db_name = parent_node_dict["database"][-1]["db_name"]
+        schema_info = parent_node_dict["schema"][-1]
+        self.server_id = schema_info["server_id"]
+        self.db_id = schema_info["db_id"]
+        self.schema_id = schema_info["schema_id"]
+        self.schema_name = schema_info["schema_name"]
+        self.domain_name = "domain_get_%s" % (str(uuid.uuid4())[1:8])
+        self.domain_info = domain_utils.create_domain(self.server,
+                                                      self.db_name,
+                                                      self.schema_name,
+                                                      self.schema_id,
+                                                      self.domain_name)
+
+    def get_dependency_dependent(self):
+        """
+        This function returns the domain dependency and dependent
+        :return: domain dependency and dependent
+        """
+        return self.tester.get(
+            self.url + str(utils.SERVER_GROUP) + '/' +
+            str(self.server_id) + '/' +
+            str(self.db_id) + '/' +
+            str(self.schema_id) + '/' +
+            str(self.domain_id),
+            follow_redirects=True)
+
+    def runTest(self):
+        db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
+                                                 self.server_id, self.db_id)
+        if not db_con['data']["connected"]:
+            raise Exception("Could not connect to database to add domain.")
+        schema_response = schema_utils.verify_schemas(self.server,
+                                                      self.db_name,
+                                                      self.schema_name)
+        if not schema_response:
+            raise Exception("Could not find the schema to add the domain.")
+        self.domain_id = self.domain_info[0]
+
+        if self.is_positive_test:
+            response = self.get_dependency_dependent()
+            actual_response_code = response.status_code
+            expected_response_code = self.expected_data['status_code']
+
+        self.assertEquals(actual_response_code, expected_response_code)
+
+    def tearDown(self):
+        # Disconnect the database
+        database_utils.disconnect_database(self, self.server_id, self.db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/test_domain_get.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/test_domain_get.py
index e3d2f6286..25c9d5d1e 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/test_domain_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/test_domain_get.py
@@ -17,18 +17,19 @@ from pgadmin.utils.route import BaseTestGenerator
 from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 from . import utils as domain_utils
+from unittest.mock import patch
 
 
 class DomainGetTestCase(BaseTestGenerator):
     """ This class will fetch new collation under schema node. """
-    scenarios = [
-        # Fetching default URL for domain node.
-        ('Fetch domain Node URL', dict(url='/browser/domain/obj/'))
-    ]
+    scenarios = utils.generate_scenarios('domain_get',
+                                         domain_utils.test_cases)
 
     def setUp(self):
         self.database_info = parent_node_dict["database"][-1]
         self.db_name = self.database_info["db_name"]
+        self.db_id = self.database_info["db_id"]
+        self.server_id = self.database_info["server_id"]
         self.schema_info = parent_node_dict["schema"][-1]
         self.schema_name = self.schema_info["schema_name"]
         self.schema_id = self.schema_info["schema_id"]
@@ -39,12 +40,35 @@ class DomainGetTestCase(BaseTestGenerator):
                                                       self.schema_id,
                                                       self.domain_name)
 
+    def get_domain(self):
+        """
+        This functions returns the domain details
+        :return: domain details
+        """
+        return self.tester.get(
+            self.url + str(utils.SERVER_GROUP) + '/' +
+            str(self.server_id) + '/' +
+            str(self.db_id) + '/' +
+            str(self.schema_id) + '/' +
+            str(self.domain_id),
+            content_type='html/json')
+
+    def get_domain_list(self):
+        """
+        This functions returns the domain list
+        :return: domain list
+        """
+        return self.tester.get(
+            self.url +
+            str(utils.SERVER_GROUP) + '/' + str(self.server_id) + '/' +
+            str(self.db_id) + '/' + str(self.schema_id) + "/",
+            content_type='html/json'
+        )
+
     def runTest(self):
         """ This function will add domain under schema node. """
-        db_id = self.database_info["db_id"]
-        server_id = self.database_info["server_id"]
         db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
-                                                 server_id, db_id)
+                                                 self.server_id, self.db_id)
         if not db_con['data']["connected"]:
             raise Exception("Could not connect to database to get the domain.")
         db_name = self.database_info["db_name"]
@@ -53,18 +77,29 @@ class DomainGetTestCase(BaseTestGenerator):
                                                       self.schema_name)
         if not schema_response:
             raise Exception("Could not find the schema to get the domain.")
-        domain_id = self.domain_info[0]
+        self.domain_id = self.domain_info[0]
         # Call GET API to verify the domain
-        get_response = self.tester.get(
-            self.url + str(utils.SERVER_GROUP) + '/' +
-            str(server_id) + '/' +
-            str(db_id) + '/' +
-            str(self.schema_id) + '/' +
-            str(domain_id),
-            content_type='html/json')
-        self.assertEquals(get_response.status_code, 200)
-        # Disconnect the database
-        database_utils.disconnect_database(self, server_id, db_id)
+        if self.is_positive_test:
+            if hasattr(self, "domain_list"):
+                response = self.get_domain_list()
+            else:
+                response = self.get_domain()
+        else:
+            if hasattr(self, "error_fetching_domain"):
+                with patch(self.mock_data["function_name"],
+                           return_value=eval(self.mock_data["return_value"])):
+                    if hasattr(self, "domain_list"):
+                        response = self.get_domain_list()
+                    else:
+                        response = self.get_domain()
+            if hasattr(self, "wrong_domain_id"):
+                self.domain_id = 99999
+                response = self.get_domain()
+
+        actual_response_code = response.status_code
+        expected_response_code = self.expected_data['status_code']
+        self.assertEquals(actual_response_code, expected_response_code)
 
     def tearDown(self):
-        pass
+        # Disconnect the database
+        database_utils.disconnect_database(self, self.server_id, self.db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/test_domain_get_collations.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/test_domain_get_collations.py
new file mode 100644
index 000000000..d4f580210
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/test_domain_get_collations.py
@@ -0,0 +1,83 @@
+##########################################################################
+#
+# pgAdmin 4 - PostgreSQL Tools
+#
+# Copyright (C) 2013 - 2020, The pgAdmin Development Team
+# This software is released under the PostgreSQL Licence
+#
+##########################################################################
+
+import json
+import uuid
+
+from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
+    utils as schema_utils
+from pgadmin.browser.server_groups.servers.databases.tests import utils as \
+    database_utils
+from pgadmin.utils.route import BaseTestGenerator
+from regression import parent_node_dict
+from regression.python_test_utils import test_utils as utils
+from . import utils as domain_utils
+from unittest.mock import patch
+
+
+class DomainGetCollationsTestCase(BaseTestGenerator):
+    """ This class will add new domain under schema node. """
+    skip_on_database = ['gpdb']
+    scenarios = utils.generate_scenarios('domain_get_collations',
+                                         domain_utils.test_cases)
+
+    def setUp(self):
+        super(DomainGetCollationsTestCase, self).setUp()
+        self.db_name = parent_node_dict["database"][-1]["db_name"]
+        schema_info = parent_node_dict["schema"][-1]
+        self.server_id = schema_info["server_id"]
+        self.db_id = schema_info["db_id"]
+        self.schema_id = schema_info["schema_id"]
+        self.schema_name = schema_info["schema_name"]
+        self.domain_name = "domain_get_%s" % (str(uuid.uuid4())[1:8])
+        self.domain_info = domain_utils.create_domain(self.server,
+                                                      self.db_name,
+                                                      self.schema_name,
+                                                      self.schema_id,
+                                                      self.domain_name)
+
+    def get_collations(self):
+        """
+        This function returns the domain collation details
+        :return: domain collation details
+        """
+        return self.tester.get(
+            self.url + str(utils.SERVER_GROUP) + '/' +
+            str(self.server_id) + '/' +
+            str(self.db_id) + '/' +
+            str(self.schema_id) + '/', follow_redirects=True,
+            content_type='html/json'
+        )
+
+    def runTest(self):
+        db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
+                                                 self.server_id, self.db_id)
+        if not db_con['data']["connected"]:
+            raise Exception("Could not connect to database to add domain.")
+        schema_response = schema_utils.verify_schemas(self.server,
+                                                      self.db_name,
+                                                      self.schema_name)
+        if not schema_response:
+            raise Exception("Could not find the schema to add the domain.")
+        self.domain_id = self.domain_info[0]
+
+        if self.is_positive_test:
+            response = self.get_collations()
+        else:
+            with patch(self.mock_data["function_name"],
+                       return_value=eval(self.mock_data["return_value"])):
+                response = self.get_collations()
+
+        actual_response_code = response.status_code
+        expected_response_code = self.expected_data['status_code']
+        self.assertEquals(actual_response_code, expected_response_code)
+
+    def tearDown(self):
+        # Disconnect the database
+        database_utils.disconnect_database(self, self.server_id, self.db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/test_domain_get_node.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/test_domain_get_node.py
new file mode 100644
index 000000000..b11f91705
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/test_domain_get_node.py
@@ -0,0 +1,93 @@
+##########################################################################
+#
+# pgAdmin 4 - PostgreSQL Tools
+#
+# Copyright (C) 2013 - 2020, The pgAdmin Development Team
+# This software is released under the PostgreSQL Licence
+#
+##########################################################################
+
+import uuid
+
+from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
+    utils as schema_utils
+from pgadmin.browser.server_groups.servers.databases.tests import utils as \
+    database_utils
+from pgadmin.utils.route import BaseTestGenerator
+from regression import parent_node_dict
+from regression.python_test_utils import test_utils as utils
+from . import utils as domain_utils
+from unittest.mock import patch
+
+
+class DomainGetNodeTestCase(BaseTestGenerator):
+    """ This class will add new domain under schema node. """
+    skip_on_database = ['gpdb']
+    scenarios = utils.generate_scenarios('domain_get_nodes',
+                                         domain_utils.test_cases)
+
+    def setUp(self):
+        super(DomainGetNodeTestCase, self).setUp()
+        self.db_name = parent_node_dict["database"][-1]["db_name"]
+        schema_info = parent_node_dict["schema"][-1]
+        self.server_id = schema_info["server_id"]
+        self.db_id = schema_info["db_id"]
+        self.schema_id = schema_info["schema_id"]
+        self.schema_name = schema_info["schema_name"]
+        self.domain_name = "domain_get_%s" % (str(uuid.uuid4())[1:8])
+        self.domain_info = domain_utils.create_domain(self.server,
+                                                      self.db_name,
+                                                      self.schema_name,
+                                                      self.schema_id,
+                                                      self.domain_name)
+
+    def get_domain_node(self, domain_id):
+        """
+        This function returns the domain node or nodes
+        :return: domain node or nodes
+        """
+        return self.tester.get(
+            self.url + str(utils.SERVER_GROUP) + '/' +
+            str(self.server_id) + '/' +
+            str(self.db_id) + '/' +
+            str(self.schema_id) + '/' + str(domain_id),
+            content_type='html/json')
+
+    def runTest(self):
+        """ This function will fetch added domain."""
+        db_con = database_utils.connect_database(self,
+                                                 utils.SERVER_GROUP,
+                                                 self.server_id,
+                                                 self.db_id)
+        if not db_con["info"] == "Database connected.":
+            raise Exception("Could not connect to database.")
+        schema_response = schema_utils.verify_schemas(self.server,
+                                                      self.db_name,
+                                                      self.schema_name)
+        if not schema_response:
+            raise Exception("Could not find the schema to add the domain.")
+        self.domain_id = self.domain_info[0]
+
+        if self.is_positive_test:
+            if hasattr(self, "node"):
+                response = self.get_domain_node(self.domain_id)
+            else:
+                response = self.get_domain_node("")
+            actual_response_code = response.status_code
+            expected_response_code = self.expected_data['status_code']
+        else:
+            if hasattr(self, "error_fetching_domain"):
+                with patch(self.mock_data["function_name"],
+                           return_value=eval(self.mock_data["return_value"])):
+                    if hasattr(self, "node"):
+                        response = self.get_domain_node(self.domain_id)
+                    else:
+                        response = self.get_domain_node("")
+                    actual_response_code = response.status_code
+                    expected_response_code = self.expected_data['status_code']
+
+        self.assertEquals(actual_response_code, expected_response_code)
+
+    def tearDown(self):
+        # Disconnect the database
+        database_utils.disconnect_database(self, self.server_id, self.db_id)
